Voicelink
Voicelink
DashboardQuickstartAuthenticationCallsInvitationsErrors and limits
Cancel scheduled call DELETECreate invitation POSTDelete invitation DELETEEdit invitation PATCHExtend invitation POSTGet call GETGet completed call recording GETGet invitation GETList calls GETList invitations GETReschedule call PATCHRevoke invitation POSTStart outbound call POSTTerminate call POST
Reference

Extend invitation

POST
/invitations/{id}/extend

Authorization

headerapikey<token>

Path Parameters

id*string

Request Body

application/json
  1. body
  1. body
  2. …
expiresInDays*number
Value in143307

Response Body

application/json
  1. response
  1. response
  2. …
status*string
Value in"error""ok"
message*string
data*
Example Request
curl -X POST 'https://api.usevoicelink.co/v0/invitations/string/extend' \  -H 'Content-Type: application/json' \  -d '{  "expiresInDays": 14}'
Example Response
{  "status": "error",  "message": "string",  "data": {    "invitation": {      "id": "string",      "agentId": "string",      "name": "string",      "email": "string",      "contextText": "string",      "message": "string",      "status": "string",      "callId": "string",      "expiresAt": "string",      "createdAt": "string",      "updatedAt": "string",      "shareUrl": "string"    }  }}

Edit invitation PATCH

Previous Page

Get call GET

Next Page